Method: partners.bulkEditPartnerAssignedTargetingOptions

  • This operation allows for bulk editing of targeting options under a single partner.

  • The bulk edit process involves first deleting specified assigned targeting options and then creating new ones.

  • The request body includes lists of deleteRequests and createRequests to define the targeting options to be modified.

  • The response body will contain a list of the assigned targeting options that were successfully created.

  • Authorization requires the https://www.googleapis.com/auth/display-video OAuth scope.

Bulk edits targeting options under a single partner. The operation will delete the assigned targeting options provided in BulkEditPartnerAssignedTargetingOptionsRequest.deleteRequests and then create the assigned targeting options provided in BulkEditPartnerAssignedTargetingOptionsRequest.createRequests .

HTTP request

POST https://displayvideo.googleapis.com/v1beta2/partners/{partnerId}:bulkEditPartnerAssignedTargetingOptions

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
partnerId

string (int64 format)

Required. The ID of the partner.

Request body

The request body contains data with the following structure:

JSON representation
{
  "deleteRequests": [
    {
      object (DeleteAssignedTargetingOptionsRequest)
    }
  ],
  "createRequests": [
    {
      object (CreateAssignedTargetingOptionsRequest)
    }
  ]
}
Fields
deleteRequests[]

object (DeleteAssignedTargetingOptionsRequest)

The assigned targeting options to delete in batch, specified as a list of DeleteAssignedTargetingOptionsRequest.

Supported targeting types:

createRequests[]

object (CreateAssignedTargetingOptionsRequest)

The assigned targeting options to create in batch, specified as a list of CreateAssignedTargetingOptionsRequest.

Supported targeting types:

Response body

If successful, the response body contains data with the following structure:

JSON representation
{
  "createdAssignedTargetingOptions": [
    {
      object (AssignedTargetingOption)
    }
  ]
}
Fields
createdAssignedTargetingOptions[]

object (AssignedTargetingOption)

The list of assigned targeting options that have been successfully created.

This list will be absent if empty.

Authorization Scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/display-video

For more information, see the OAuth 2.0 Overview.